---
updatedAt: 2026-04-12T09:21:24.000Z
---

# Add feedback

<a id="Add_Feedback" style="color:red; font-size:larger">POST \<baseURL\>/feedbacks</a>

This request adds feedback or ratings details for a prior delivery.

The client must capture the feedback information from their own application.
The information can then be used in this request to report it to Walmart&nbsp;GoLocal.

Feedback can be added any time after a completed delivery.
Repeating this request adds feedback for the delivery.
That means the same delivery may have multiple feedback comments and ratings.

### Example
  The following example creates a feedback note for externalOrderId` of 2824938598 with a rating of five.

  POST `{baseURL}/feedbacks`<br>
  Request body:
  ```json
  {
    "clientId": "2",
    "externalOrderId": "74829491422933",
    "rating": 5,
    "comment": "Great service. And friendly, too!"
  }
  ```

  Response body:
  ```json
  {
    "id": "2624cee5-b00d-48c7-9d8f-598025f144e6"
  }
  ```

### See Also
To retrieve feedback details for a prior delivery or delivery driver, see <span style="background-color: #eaeaea; padding: 3px;"><a href="#Retrieve_Tip_Details">POST `/clients/tips/{clientId}/externalorder/{externalOrderId}`</a>.</span>

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Walmart GoLocal API Reference Guide",
    "version": "1.0",
    "description": "**June 2025**<br>Built: 06/24/2025, 15:07:16"
  },
  "x-readme": {
    "samples-languages": [
      "shell"
    ],
    "proxy-enabled": false,
    "explorer-enabled": true
  },
  "servers": [
    {
      "url": "https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/daas",
      "description": "Production server"
    },
    {
      "url": "https://developer.api.us.stg.walmart.com/v1/daas-simulator",
      "description": "Sandbox server"
    },
    {
      "url": "https://developer.api.us.stg.walmart.com/api-proxy/service/supplychain/transportation/v1/daas-simulator",
      "description": "Simulator server"
    }
  ],
  "paths": {
    "/feedbacks": {
      "post": {
        "tags": [
          "Walmart GoLocal Requests"
        ],
        "operationId": "walmart_golocal_v1_feedbacks_add",
        "summary": "Add feedback",
        "description": "<a id=\"Add_Feedback\" style=\"color:red; font-size:larger\">POST \\<baseURL\\>/feedbacks</a>\n\nThis request adds feedback or ratings details for a prior delivery.\n\nThe client must capture the feedback information from their own application.\nThe information can then be used in this request to report it to Walmart&nbsp;GoLocal.\n\nFeedback can be added any time after a completed delivery.\nRepeating this request adds feedback for the delivery.\nThat means the same delivery may have multiple feedback comments and ratings.\n\n### Example\n  The following example creates a feedback note for externalOrderId` of 2824938598 with a rating of five.\n\n  POST `{baseURL}/feedbacks`<br>\n  Request body:\n  ```json\n  {\n    \"clientId\": \"2\",\n    \"externalOrderId\": \"74829491422933\",\n    \"rating\": 5,\n    \"comment\": \"Great service. And friendly, too!\"\n  }\n  ```\n\n  Response body:\n  ```json\n  {\n    \"id\": \"2624cee5-b00d-48c7-9d8f-598025f144e6\"\n  }\n  ```\n\n### See Also\nTo retrieve feedback details for a prior delivery or delivery driver, see <span style=\"background-color: #eaeaea; padding: 3px;\"><a href=\"#Retrieve_Tip_Details\">POST `/clients/tips/{clientId}/externalorder/{externalOrderId}`</a>.</span>\n",
        "parameters": [
          {
            "in": "header",
            "name": "Content-Type",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Specifies the literal `application/json`.\n\nExample: <code>application/json</code>\n"
          },
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Specifies the literal value for `Bearer <authenticationToken>`.\n\nThe authenticationToken is an access token representing a user’s valid authorization and authentication permissions.\nSee <a href=\"#Authentication\">**Authentication**</a> for additional information.\n\nExample: <code>Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz</code>\n"
          },
          {
            "in": "header",
            "name": "WM_CONSUMER.ID",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid",
              "minLength": 36,
              "maxLength": 36
            },
            "description": "Specifies the value for the `<consumer_id>`.\n\nThis is the Client Consumer ID for the OAuth2 client credentials.\nSee the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.\n\nExample: 685f74bf-b8ca-447d-8338-966di751443f\n"
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Specifies the request log identifier.\n\nThis optional header can be any value.\nWalmart&nbsp;GoLocal uses this value to log requests and error situations. \n\nExamples:<br>\n2398<br>\n685f74bf-b8ca-447d-8338-966dd751445f\n"
          }
        ],
        "requestBody": {
          "description": "Specifies the feedback and rating values for the delivery.",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "description": "Specifies an object for the delivery driver feedback.\n",
                "required": [
                  "clientId",
                  "externalOrderId",
                  "rating"
                ],
                "properties": {
                  "clientId": {
                    "type": "string",
                    "description": "Describes the client identifier associated with the client. \n\nExample: 2\n",
                    "example": "49304"
                  },
                  "externalOrderId": {
                    "type": "string",
                    "description": "Describes the external order ID.\n\nThe externalOrderId is a value specified by the client at the time the order is placed. \nThis allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read. \nThe `externalOrderId` is different than the `deliveryId`, which is a value assigned by Walmart&nbsp;GoLocal at the \ntime the order is placed.\nRegardless, the `externalOrderId` and `deliveryId` refer to the same delivery order.\n\nExamples:<br>\n465-RMN-TU<br>\nAPAL:1541:0154120240819032474<br>\n74829491422933\n",
                    "example": "74829491422933"
                  },
                  "rating": {
                    "type": "integer",
                    "description": "Specifies the rating value to be assigned to delivery driver.\n\nThe integer values range from 1, indicating the lowest rating, to 5, indicating the highest rating.\n\nValid values are:<br>\n1<br>\n2<br>\n3<br>\n4<br>\n5\n\nExample: 5\n",
                    "example": 5
                  },
                  "comment": {
                    "type": "string",
                    "description": "Specifies the feedback from customer regarding the delivery experience.\n\nThe maximum feedback length is 1000 characters.\n\nExample: \"Great service. And friendly, too!\"\n",
                    "example": "Great service. And friendly, too!"
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK. The request was successful, and the server returned the requested data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "minLength": 36,
                      "maxLength": 36,
                      "description": "Indicates the feedback identifier for the feedback item.\n\nExample: 2624cee5-b00d-48c7-9d8f-598025f144e6\n",
                      "example": "2624cee5-b00d-48c7-9d8f-598025f144e6"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. The request was malformed or invalid.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string",
                  "description": "The following is a list of error codes and accompanying descriptions. \nThe error code is indicated in the error message’s `code` field.\nSee <a href=\"#Error_Messages\">**Error Messages**</a> for additional information.\n\n| Error Code | Error Description |\n| ----------- | ----------- |\n| 400.5060.100 | No client was found for the clientId. Check the clientId and try again. |\n| 400.5060.101 | No delivery was found for the externalOrderId. Check the externalOrderId value and try again. |\n| 400.5060.102 | The comment exceeded 1000 characters limit. Shorten the comment length as needed and try again. |\n| 400.5060.103 | The rating value is invalid. Only integers between 1 and 5 inclusively are allowed. Check the rating value and try again. |\n| 400.5060.104 | The delivery has not been completed for the externalOrderId. A rating cannot be added before the delivery is complete. Wait for delivery completion and try again. |\n"
                }
              }
            }
          },
          "404": {
            "description": "Not Found. The requested resource was not found on the server."
          },
          "405": {
            "description": "Method Not Allowed. The target resource doesn't support this method."
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Walmart GoLocal Overview",
      "tags": [
        "Overview",
        "Getting Started"
      ]
    },
    {
      "name": "Walmart GoLocal Reference",
      "tags": [
        "Walmart GoLocal Requests"
      ]
    },
    {
      "name": "Walmart GoLocal Webhooks",
      "tags": [
        "Webhook Requests"
      ]
    },
    {
      "name": "Walmart GoLocal Simulator Requests",
      "tags": [
        "Simulator Requests"
      ]
    }
  ]
}
````